Quassel IRC - Bug #908

Crash when right clicking on channel name
02/01/2010 05:06 AM - kitterma

Status: Closed Start date: 02/01/2010
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Quassel GUI (KDE) Estimated time: 0.00 hour
Target version:

Version: 0.5.0 0S: Any
Description

Application: quasselclient (v0.5.2 (dist-42d7cf2))

KDE Platform Version: 4.3.95 (KDE 4.3.95 (KDE 4.4 RC2))
Qt Version: 4.6.0

Operating System: Linux 2.6.32-12-generic i686
Distribution: Ubuntu lucid (development branch)

-- Information about the crash:
<In detalil, tell us what you were doing when the application crashed.>

—-— Backtrace:
Application: Quassel IRC (quasselclient), signal: Segmentation fault
[Current thread is 1 (Thread 0xb77e6760 (LWP 3121))]

Thread 3 (Thread 0xb18d5b70 (LWP 3124)):

#0 0x009c9422 in __ kernel_vsyscall ()

#1 0x00472f55 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0

#2 0x006992e7 in QWaitConditionPrivate::wait (this=0x9b48da0, mutex=0x9b48d9c, time=4294967295) at
thread/qwaitcondition_unix.cpp:87

#3 QWaitCondition::wait (this=0x9b48da0, mutex=0x9b48d9c, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#4 0x00273e82 in QHostInfoAgent::run (this=0x9b48d90) at kernel/ghostinfo.cpp:252

#5 0x0069838e in QThreadPrivate::start (arg=0x9b48d90) at thread/qgthread_unix.cpp:244

#6 0x0046e8de in start_thread () from /lib/tls/i686/cmov/libpthread.so0.0

0x0274595e¢ in clone () from /lib/tls/i686/cmov/libc.so0.6
Thread 2 (Thread 0xb0632b70 (LWP 3185)):

0 0x009c9422 in __ kernel_vsyscall ()

1 0x00472f55 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
0x066f32d7 in ?7? () from /usr/lib/libQtWebKit.so.4

0x066f3321 in ?? () from /usr/lib/libQtWebKit.s0.4

0x0046e8de in start_thread () from /lib/tls/i686/cmov/libpthread.so.0

0x0274595e¢ in clone () from /lib/tls/i686/cmov/libc.so0.6
Thread 1 (Thread 0xb77e6760 (LWP 3121)):

[KCrash Handler]

#6 0x011b78e6 in QGraphicsScenelndexPrivate::recursive_items_helper (this=0xb9eb818, item=0xb9eb508, exposeRect=...,
intersector=0xb37f670, items=0xbfbcc16c, viewTransform=...,

mode=Qt::IntersectsltemShape, parentOpacity=1) at graphicsview/qgraphicssceneindex.cpp:278

#7 0x011b8a7e in QGraphicsScenelndexPrivate::items_helper (this=0xb173480, rect=..., mode=Qt::IntersectsltemShape,
order=Qt::DescendingOrder, deviceTransform=...)

at graphicsview/qgraphicssceneindex_p.h:159

#8 QGraphicsScenelndex::items (this=0xb173480, rect=..., mode=Qt::IntersectsltemShape, order=Qt::DescendingOrder,
deviceTransform=...) at graphicsview/qgraphicssceneindex.cpp:457

#9 0x0118d30b in QGraphicsScene::items (this=0xbb11130, rect=..., mode=Qt::IntersectsltemShape, order=Qt::DescendingOrder,
deviceTransform=...) at graphicsview/qgraphicsscene.cpp:2024

#10 0x01194a45 in QGraphicsScenePrivate::itemsAtPosition (this=0xb895b80, screenPos=..., scenePos-=..., widget=0x9b5e8a0) at
graphicsview/qgraphicsscene.cpp:1023

#11 0x01194f10 in QGraphicsScenePrivate::dispatchHoverEvent (this=0xb895b80, hoverEvent=0xbfbcc1bc) at
graphicsview/qgraphicsscene.cpp:3768

#12 0x011951c8 in QGraphicsScene::mouseMoveEvent (this=0xbb11130, mouseEvent=0xbfbcc7a4) at
graphicsview/qggraphicsscene.cpp:3976

#13 0x080eeb03 in ?? ()
#14 0x011a43ed in QGraphicsScene::event (this=0xbfbcc7a4, event=0xbfbcc25c) at graphicsview/qgraphicsscene.cpp:3341

#15 0x080ec1be in ?? ()

#16 0x00aff1dc in QApplicationPrivate::notify_helper (this=0x9426560, receiver=0xbb11130, e=0xbfbcc7a4) at
kernel/qapplication.cpp:4242

#17 0x00b05e37 in QApplication::notify (this=0xbfbcd820, receiver=0xbb11130, e=0xbfbcc7a4) at kernel/gapplication.cpp:3661
#18 0x05b796fa in KApplication::notify (this=0xbfbcd820, receiver=0xbb11130, event=0xbfbcc7a4) at
./../kdeui/kernel/kapplication.cpp:302

#19 0x007996fb in QCoreApplication::notifyInternal (this=0xbfbcd820, receiver=0xbb11130, event=0xbfbcc7a4) at
kernel/qcoreapplication.cpp:704

#20 0x00b000be in QCoreApplication::sendSpontaneousEvent (receiver=0xbb11130, event=0x0) at
./../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:218

#21 qt_sendSpontaneousEvent (receiver=0xbb11130, event=0x0) at kernel/qapplication.cpp:5219

#22 0x011c4822 in QGraphicsViewPrivate::mouseMoveEventHandler (this=0xb9b2f88, event=0xbfbccf70) at
graphicsview/qgraphicsview.cpp:617

#23 0x011c4a66 in QGraphicsView::mouseMoveEvent (this=0xba43d78, event=0xbfbccf70) at graphicsview/qgraphicsview.cpp:3157
#24 0x00b5bfab in QWidget::event (this=0xba43d78, event=0xbfbccf70) at kernel/qwidget.cpp:7959

#25 0x00f551a3 in QFrame::event (this=0xba43d78, e=0xbfbccf70) at widgets/qframe.cpp:557

#26 0x00feebb2 in QAbstractScrollArea::viewportEvent (this=0xb9eb818, e=0x0) at widgets/gabstractscrollarea.cpp:1032

#27 0x011c236b in QGraphicsView::viewportEvent (this=0xba43d78, event=0xbfbccf70) at graphicsview/qgraphicsview.cpp:2747
#28 0x00ff1495 in QAbstractScrollAreaPrivate::viewportEvent (this=0xad195d0, 0=0x9b5e8a0, e=0xbfbccf70) at
widgets/qabstractscrollarea_p.h:100

#29 QAbstractScrollAreaFilter::eventFilter (this=0xad195d0, 0=0x9b5e8a0, e=0xbfbccf70) at widgets/qabstractscrollarea_p.h:116
#30 0x0079899a in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=0x9426560, receiver=0x9b5e8a0,
event=0xbfbccf70) at kernel/qcoreapplication.cpp:819

#31 0x00aff1b9 in QApplicationPrivate::notify_helper (this=0x9426560, receiver=0x9b5e8a0, e=0xbfbccf70) at
kernel/qapplication.cpp:4238

#32 0x00b067ab in QApplication::notify (this=0xbfbcd820, receiver=0x9b5e8a0, e=0xbfbccf70) at kernel/qapplication.cpp:3822
#33 0x05b796fa in KApplication::notify (this=0xbfbcd820, receiver=0x9b5e8a0, event=0xbfbccf70) at
./../kdeui/kernel/kapplication.cpp:302

#34 0x007996fb in QCoreApplication::notifylnternal (this=0xbfbcd820, receiver=0x9b5e8a0, event=0xbfbccf70) at
kernel/qcoreapplication.cpp:704

#35 0x00b05762 in QCoreApplication::sendEvent (receiver=0x9b5e8a0, event=0xbfbccf70, alienWidget=0x9b5e8a0,
nativeWidget=0x94fb600, buttonDown=0x143b060, lastMouseReceiver=..., spontaneous=true)

at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215

#36 QApplicationPrivate::sendMouseEvent (receiver=0x9b5e8a0, event=0xbfbccf70, alienWidget=0x9b5e8a0,
nativeWidget=0x94fb600, buttonDown=0x143b060, lastMouseReceiver=..., spontaneous=true)

at kernel/gapplication.cpp:2956

#37 0x00b8ecc8 in QETWidget::translateMouseEvent (this=0x94fb600, event=0xbfbcd2ac) at kernel/qapplication_x11.cpp:4368
#38 0x00b8dcd7 in QApplication::x11ProcessEvent (this=0xbfbcd820, event=0xbfbcd48c) at kernel/gapplication_x11.cpp:3580
#39 0x00bbd07a in x11EventSourceDispatch (s=0x9429540, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#40 0x00350955 in g_main_context_dispatch () from /lib/libglib-2.0.s0.0

#41 0x00354658 in ?? () from /lib/libglib-2.0.s0.0

#42 0x00354818 in g_main_context_iteration () from /lib/libglib-2.0.s0.0

#43 0x007c53f5 in QEventDispatcherGlib::processEvents (this=0x9410d38, flags=...) at kernel/geventdispatcher_glib.cpp:407
#44 0x00bbcba5 in QGuiEventDispatcherGlib::processEvents (this=0x9410d38, flags=...) at kernel/qguieventdispatcher_glib.cpp:202
#45 0x00797d19 in QEventLoop::processEvents (this=0xbfbcd784, flags=) at kernel/qeventloop.cpp:149

#46 0x0079816a in QEventLoop::exec (this=0xbfbcd784, flags=...) at kernel/geventloop.cpp:201

47 0x0079c35f in QCoreApplication::exec () at kernel/qcoreapplication.cpp:981

#48 0x00aff277 in QApplication::exec () at kernel/gapplication.cpp:3570

49 0x0806f81d in _start ()
Report to http://bugs.quassel-irc.org/projects/quassel-irc/issues/new

History

#1 - 03/04/2010 08:14 PM - johu

- Status changed from New to Feedback

please give feedback, if this is resolved with quassel 0.5.2 or higher

#2 - 04/24/2010 09:48 PM - johu
- Status changed from Feedback to Closed

Can not reproduce with quassel 0.6.1 and gt 4.6.2. No feedback was given in last 3 month. Bug is closed. If you can repdroduce it with current stable
version reopen it.
